System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

Individual items in the collection return a object as their value. If there are no attribute items in the collection, the collection returns null.

Attributes on an HTML server control are programmatically available through the property, which is inherited by all HTML server controls. ASP.NET exposes attributes of HTML server controls as properties of those controls.

You can add attributes to a Web server control through the property, which is inherited by all Web server controls. The attributes in the attributes collection for a Web server control do not necessarily correspond to the control's strongly typed properties for that control.

Provides object-model access to all attributes declared in the opening tag of an ASP.NET server control element. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  An object that contains the attribute keys and their values from the opening tag of the server control.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  If the string in the parameter contains an ampersand (&), the character is automatically encoded. The resulting HTML representation is "&amp;".

  Adds an attribute to a server control's object.

  The attribute name. The attribute value. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method copies all the server control's attributes to an object so that they can be rendered by the next call to the method.

  For controls that are contained in other controls such as and , you can potentially improve performance by rendering the contained controls directly. Rendering directly can be faster than rendering through the container control because container controls require that you copy all the child control attributes to the container control and render them after they are copied.

  Adds attributes from the class to the object that is responsible for rendering the attributes as markup.

  An instance that writes the attribute to the opening tag of an ASP.NET server control. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Removes all attributes from a server control's object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of attributes in the object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.CssStyleCollection To be added: an object of type 'CssStyleCollection'

  Any style declared for a particular HTML server control is added to the object when the containing ASP.NET Web page is parsed. You can use this property to add, remove, and iterate through the styles declared for the server control.

  Gets a collection of styles for the ASP.NET server control to which the current object belongs.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added.

  For the compared objects to be equal, they must meet the following criteria:

  The object that is contained in the parameter must be an object.

  Both collections must contain the same number of items.

  The key value of each entry in both collections must match.

  This method is primarily used by control developers.

  Determines whether the current instance of the object is equal to the specified object.

  true if the object that is contained in the parameter is equal to the current instance of ; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  System.Int32

  Use the method to determine the hash code for this object.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Property
  System.String `` To be added: an object of type 'string' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Collections.ICollection a

  This property contains all the keys that are in the of an ASP.NET server control, whether you have added them programmatically with the method, or declaratively.

  Gets a collection of keys to all attributes in the server control's object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  If the object does not contain an attribute that has the specified , the collection remains unchanged. No exception is thrown.

  Removes an attribute from a server control's object.

  The name of the attribute to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Writes the collection of attributes to the specified output stream for the control to which the collection belongs.

  An instance that writes the attribute collection to the current output stream. 1.0.5000.0 2.0.0.0